# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(I18N/Langinfo.pm) perl(Text/Tabs.pm) pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
# END SourceDeps(oneline)
Name:           deja-dup
Version:        24.0
Release:        alt1_1
Summary:        Simple backup tool and frontend for duplicity

Group:          Archiving/Other
License:        GPLv3+
URL:            https://launchpad.net/deja-dup
Source0:        http://launchpad.net/%{name}/24/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:  gettext desktop-file-utils intltool scrollkeeper
BuildRequires:  yelp-tools pango-devel libcairo-devel libvala-devel
BuildRequires:  libtool glib2-devel libnotify-devel
BuildRequires:  libpeas-devel
BuildRequires:  libnautilus-devel libgnome-keyring-devel
BuildRequires:  libgtk+3-devel itstool
Requires:       duplicity >= 0.6.08
Requires:       python-module-cloudfiles
Requires(post): /usr/bin/gtk-update-icon-cache
Requires(postun): /usr/bin/gtk-update-icon-cache
Source44: import.info

%description
DA.jA. Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
backend.

Features: 
 a.. Support for local, remote, or cloud backup locations (Amazon S3 or Rackspace)
 a.. Securely encrypts and compresses your data
 a.. Incrementally backs up, letting you restore from any particular backup
 a.. Schedules regular backups
 a.. Integrates well into your GNOME desktop

%prep
%setup -q

%build
%configure --disable-static --with-nautilus --with-gnu-ld
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/deja-dup/*.la
rm -f %{buildroot}/%{_libdir}/nautilus/extensions-3.0/*.la

desktop-file-validate %{buildroot}/%{_datadir}/applications/deja-dup.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/deja-dup-preferences.desktop
desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/deja-dup-monitor.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/deja-dup
%{_bindir}/deja-dup-preferences
%{_datadir}/applications/deja-dup-preferences.desktop
%{_mandir}/man1/deja-dup-preferences.1.*
%{_mandir}/man1/deja-dup.1.*
%{_mandir}/*/man1/deja-dup-preferences.1.*
%{_mandir}/*/man1/deja-dup.1.*
%{_datadir}/GConf/gsettings/deja-dup.convert
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_sysconfdir}/xdg/autostart/deja-dup-monitor.desktop
%{_libdir}/deja-dup/
%{_libdir}/nautilus/extensions-3.0/libdeja-dup.so
%{_libexecdir}/deja-dup/
%{_datadir}/applications/deja-dup.desktop
%{_datadir}/deja-dup/
%{_datadir}/icons/hicolor/*/apps/deja-dup.png
%{_datadir}/icons/hicolor/scalable/apps/deja-dup-symbolic.svg
%{_datadir}/icons/hicolor/scalable/devices/deja-dup-cloud.svg

%changelog
* Tue Dec 18 2012 Igor Vlasenko <viy@altlinux.ru> 24.0-alt1_1
- initial fc import

